Skip to main content
GET
/
v2
/
agents
/
{agent_id}
/
memory
/
files
/
{path}
Get Agent Memory File
curl --request GET \
  --url https://api.duvo.ai/v2/agents/{agent_id}/memory/files/{path} \
  --header 'Authorization: Bearer <token>'
{
  "path": "<string>",
  "content": "<string>",
  "generation": "<string>",
  "source_agent_run_id": "<string>",
  "source_user_id": "<string>",
  "source_updated_at": "<string>"
}

Authorizations

Authorization
string
header
required

API key authentication. Get your API key from the Duvo dashboard.

Path Parameters

agent_id
string<uuid>
required

The agent's unique identifier

path
string
required

Relative path to the memory file, e.g. notes.md or context/customer.md

Minimum string length: 1

Response

Default Response

path
string
required

Relative path of the file within agent memory

content
string
required

UTF-8 decoded contents of the file

generation
string

GCS object generation of the file's current contents

source_type
enum<string>
Available options:
job,
user
source_agent_run_id
string
source_user_id
string
source_updated_at
string